﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample._Default" %>





<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <style>
        .e-grid .e-gdiagonalnext:before {
          
         content: "\e675" !important;
        }
        .e-grid .e-gnextforward:before {
        content: "\e676" !important;
         
        }
        </style>
    <div>
        <ej:Grid ID="Grid" runat="server" DetailsTemplate="#tabGridContents" AllowPaging="true">
            <ClientSideEvents DetailsDataBound="detailGridData" />
            <PageSettings PageSize="7"/>
            <Columns>
                <ej:Column Field="EmployeeID" Visible="false" HeaderText="Employee ID" IsPrimaryKey="True" Width="75" />
                <ej:Column Field="FirstName" HeaderText="First Name" Width="100" />
                <ej:Column Field="Title" HeaderText="Title" Width="120" />
                <ej:Column Field="City" HeaderText="City" Width="100" />
                <ej:Column Field="Country" HeaderText="Country" Width="100" />
            </Columns>
        </ej:Grid>
    </div>

    <script src="Scripts/jsondata.js"></script>
   
    <script id="tabGridContents" type="text/x-jsrender">
        <div class="tabcontrol">
           
                <div id="detailGrid"></div>
            
        </div>
    </script>
    <script type="text/javascript">
        function detailGridData(e) {
            var filteredData = e.data["EmployeeID"];
            // the datasource "window.ordersView" is referred from jsondata.min.js
            var data = ej.DataManager(window.ordersView).executeLocal(ej.Query().where("EmployeeID", "equal", parseInt(filteredData), true));
            e.detailsElement.find("#detailGrid").ejGrid({
                dataSource: data,
                allowSelection: false,
                columns: [
                    { field: "OrderID", key: true, headerText: "Order ID", width: 80, textAlign: ej.TextAlign.Right },
                    { field: "CustomerID", headerText: 'Customer ID', width: 80, textAlign: ej.TextAlign.Left },
                    { field: "CompanyName", headerText: 'Company Name', width: 120, textAlign: ej.TextAlign.Left },
                    { field: "ShipCity", headerText: 'City', width: 120, textAlign: ej.TextAlign.Left }
                ]
            });
            e.detailsElement.css("display", "");
        }
    </script>

   
</asp:Content>